Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[RISOLTO]Un aiuto per installare openshot
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
messana
n00b
n00b


Joined: 27 Nov 2010
Posts: 73

PostPosted: Fri Apr 27, 2018 4:00 am    Post subject: [RISOLTO]Un aiuto per installare openshot Reply with quote

Code:
gentoomex /home/messana # echo "=media-libs/libopenshot-0.1.9 ~amd64" >> /etc/portage/package.accept_keywords
gentoomex /home/messana # echo "media-video/openshot" >> /etc/portage/package.accept_keywords
gentoomex /home/messana # emerge openshot
Calculating dependencies... done!
[ebuild  N     ] dev-python/greenlet-0.4.12  USE="-doc" PYTHON_TARGETS="python2_7 python3_5 -python3_4 -python3_6"
[ebuild  N     ] dev-python/httplib2-0.10.3-r1  PYTHON_TARGETS="python2_7 python3_5 (-pypy) (-pypy3) -python3_4 -python3_6"
[ebuild  N     ] dev-python/py-1.4.34  USE="-doc {-test}" PYTHON_TARGETS="python2_7 python3_5 (-pypy) (-pypy3) -python3_4 -python3_6"
[ebuild  N     ] virtual/python-greenlet-1.0  PYTHON_TARGETS="python2_7 python3_5 (-pypy) (-pypy3) -python3_4 -python3_6"
[ebuild  N     ] dev-libs/libsodium-1.0.15  USE="asm urandom -minimal -static-libs" CPU_FLAGS_X86="aes sse4_1"
[ebuild  N     ] net-dns/c-ares-1.13.0  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-python/gevent-1.2.1  USE="-doc -examples" PYTHON_TARGETS="python2_7 python3_5 (-pypy) -python3_4 -python3_6"
[ebuild  N     ] net-libs/zeromq-4.2.2-r2  USE="sodium -doc -pgm -static-libs {-test} -unwind"
[ebuild  N     ] dev-python/pyzmq-16.0.2  USE="-doc {-test}" PYTHON_TARGETS="python2_7 python3_5 -python3_4 -python3_6"
[ebuild  N     ] net-libs/cppzmq-0_pre150606
[ebuild  N     ] media-libs/libopenshot-audio-0.1.4
[ebuild     UD ] media-gfx/imagemagick-6.9.9.40 [7.0.7.28]
[ebuild   R    ] dev-qt/qtmultimedia-5.9.4-r1  USE="widgets*"
[ebuild  N    ~] media-libs/libopenshot-0.1.9  USE="imagemagick python -libav {-test}" PYTHON_SINGLE_TARGET="python3_5 -python3_4 -python3_6" PYTHON_TARGETS="python3_5 -python3_4 -python3_6"
[ebuild  N    ~] media-video/openshot-2.4.1  PYTHON_SINGLE_TARGET="python3_5 -python3_4 -python3_6" PYTHON_TARGETS="python3_5 -python3_4 -python3_6"

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

media-gfx/imagemagick:0

  (media-gfx/imagemagick-6.9.9.40:0/6.9.9.40::gentoo, ebuild scheduled for merge) pulled in by
    <media-gfx/imagemagick-7:0=[cxx] required by (media-libs/libopenshot-0.1.9:0/0::jorgicio, ebuild scheduled for merge)
    ^                      ^^^^                                                                                                                                                                   

  (media-gfx/imagemagick-7.0.7.28:0/7.0.7.28::gentoo, installed) pulled in by
    media-gfx/imagemagick:0/7.0.7.28= required by (media-video/dvdauthor-0.7.2-r2:0/0::gentoo, installed)
                         ^^^^^^^^^^^^                                                                                                       


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.

gentoomex /home/messana #


Buona giornata.


Last edited by messana on Fri Apr 27, 2018 7:37 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19906
Location: here

PostPosted: Fri Apr 27, 2018 6:08 am    Post subject: Reply with quote

Hai provato quello che ti suggerisce portage e mettere --backtrack=30?
Se non funziona allora risolvi manualmente
Code:
# emerge -1 =media-gfx/imagemagick-6.9.9.40 media-video/dvdauthor

pero' penso che a questo punto devi anche mascherare la versione 7 di imagemagick
Code:
# echo ">=media-gfx/imagemagick-7.0.7.19" >> /etc/portage/package.mask

e poi provi ad installare openshot.
Magari la prossima versione lo supportera' https://bugs.gentoo.org/637694
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
messana
n00b
n00b


Joined: 27 Nov 2010
Posts: 73

PostPosted: Fri Apr 27, 2018 7:36 pm    Post subject: Risolto Reply with quote

Grazie mille per le indicazioni. Buona serata e buona Domenica. ;-)
Back to top
View user's profile Send private message
bingch
n00b
n00b


Joined: 30 Apr 2018
Posts: 1

PostPosted: Mon Apr 30, 2018 8:58 am    Post subject: Reply with quote

Hi I'm guessing you are trying to use openshot with imagemagic v7.

I've setup an overlay at https://github.com/bingch/gentoo-overlay

You can add it using layman and trying it out.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19906
Location: here

PostPosted: Mon Apr 30, 2018 9:14 am    Post subject: Reply with quote

bingch thanks for the overlay.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
messana
n00b
n00b


Joined: 27 Nov 2010
Posts: 73

PostPosted: Sat May 26, 2018 8:26 am    Post subject: Thanks so much bingch Reply with quote

bingch wrote:
Hi I'm guessing you are trying to use openshot with imagemagic v7.

I've setup an overlay at https://github.com/bingch/gentoo-overlay

You can add it using layman and trying it out.



Thanks so much.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum